=== debian/changelog ===
digimend-dkms (10-4) unstable; urgency=medium

  * debian/control
    - Revert previous changes about missing Depends.
      It should follow common -dkms packaging practice.

 -- Kentaro Hayashi <kenhys@xdump.org>  Fri, 28 May 2021 21:34:06 +0900

digimend-dkms (10-3) unstable; urgency=medium

  * debian/control
    - Add missing Depends: (Closes: #988134)

 -- Kentaro Hayashi <kenhys@xdump.org>  Tue, 11 May 2021 13:30:01 +0900

digimend-dkms (10-2) unstable; urgency=medium

  * Source only upload for migration to testing

 -- Kentaro Hayashi <kenhys@xdump.org>  Sat, 06 Feb 2021 14:08:36 +0900

digimend-dkms (10-1) unstable; urgency=low

  * Initial upload to Debian (Closes: #978068)

 -- Kentaro Hayashi <kenhys@xdump.org>  Fri, 25 Dec 2020 20:12:45 +0900
