=== debian/control ===
Source: digimend-dkms
Section: kernel
Priority: optional
Maintainer: Kentaro Hayashi <kenhys@xdump.org>
Build-Depends:
 debhelper-compat (= 13),
 dkms
Standards-Version: 4.5.1
Homepage: https://github.com/DIGImend/digimend-kernel-drivers
Vcs-Git: https://salsa.debian.org/debian/digimend-dkms.git
Vcs-Browser: https://salsa.debian.org/debian/digimend-dkms
Rules-Requires-Root: no

Package: digimend-dkms
Architecture: all
Depends:
 ${misc:Depends},
 xserver-xorg-input-wacom
Description: Collection of graphics tablet drivers by DIGImend project
 This is a collection of graphics tablet drivers for the Linux kernel, produced
 and maintained by the DIGImend project.
 .
 See http://digimend.github.io/drivers/digimend/tablets/ for a list of
 supported tablet models.
