=== debian/rules ===
#!/usr/bin/make -f
# See debhelper(7) (uncomment to enable)
# output every command that modifies files on the build system.
DH_VERBOSE = 1

# see EXAMPLES in dpkg-buildflags(1) and read /usr/share/dpkg/*
DPKG_EXPORT_BUILDFLAGS = 1
include /usr/share/dpkg/default.mk

# see FEATURE AREAS in dpkg-buildflags(1)
#export DEB_BUILD_MAINT_OPTIONS = hardening=+all

# see ENVIRONMENT in dpkg-buildflags(1)
# package maintainers to append CFLAGS
#export DEB_CFLAGS_MAINT_APPEND  = -Wall -pedantic
# package maintainers to append LDFLAGS
#export DEB_LDFLAGS_MAINT_APPEND = -Wl,--as-needed

version := $(shell dpkg-parsechangelog --show-field Version | cut -d'-' -f1)

# main packaging script based on dh7 syntax
%:
	dh $@ --with dkms

build:

override_dh_auto_clean:

override_dh_auto_build:

override_dh_auto_test:

override_dh_auto_install:
	$(MAKE) DESTDIR=$(CURDIR)/debian/digimend-dkms dkms_source_install udev_rules_install_files xorg_conf_install tools_install

override_dh_dkms:
	dh_dkms -p digimend-dkms -V -- dkms.conf
