## digimend-dkms 11

=== Makefile ===
--- 
+++ 
@@ -15,7 +15,7 @@
 DIGIMEND_DEBUG = $(DESTDIR)/usr/sbin/digimend-debug
 XORG_CONF := $(DESTDIR)/usr/share/X11/xorg.conf.d/50-digimend.conf
 PACKAGE_NAME = digimend-kernel-drivers
-PACKAGE_VERSION = 10
+PACKAGE_VERSION = 11
 PACKAGE = $(PACKAGE_NAME)-$(PACKAGE_VERSION)
 DKMS_MODULES_NAME = digimend
 DKMS_MODULES = $(DKMS_MODULES_NAME)/$(PACKAGE_VERSION)
@@ -110,8 +110,8 @@
 	dkms status $(DKMS_MODULES_NAME) | \
 	    while IFS=':' read -r modules status; do \
 	        echo "$$modules" | { \
-	            IFS=', ' read -r modules_name modules_version \
-	                             kernel_version kernel_arch ignore; \
+	            IFS=',/ ' read -r modules_name modules_version \
+	                              kernel_version kernel_arch ignore; \
 	            if [ -z "$$kernel_version" ]; then \
 	                dkms remove \
 	                            "$$modules_name/$$modules_version" \
