=== debian/changelog ===
digimend-dkms (11-2) unstable; urgency=medium

  * debian/control
    - Specify Architecture: because depending xserver-xorg-input-wacom
      is only available linux-any but not s390x.

 -- Kentaro Hayashi <kenhys@xdump.org>  Sat, 26 Nov 2022 16:23:34 +0900

digimend-dkms (11-1) unstable; urgency=medium

  [ Andreas Beckmann ]
  * Switch to dh-sequence-dkms.
  * Declare Testsuite: autopkgtest-pkg-dkms.
  * Do not attempt to build modules for kernels without CONFIG_USB_HID.

  [ Kentaro Hayashi ]
  * debian/watch
    - Fold long line
  * New upstream version 11

 -- Kentaro Hayashi <kenhys@xdump.org>  Tue, 22 Nov 2022 21:15:33 +0900

digimend-dkms (10-5) unstable; urgency=medium

  * debian/control
    - Bump standards-version to 4.6.0.1. No other changes are required.
  * debian/copyright
    - Refresh copyright fields.
  * debian/watch
    - Refresh rule to ignore -rc0.

 -- Kentaro Hayashi <kenhys@xdump.org>  Mon, 04 Apr 2022 21:25:27 +0900
