=== debian/control ===
--- 
+++ 
@@ -4,15 +4,18 @@
 Maintainer: Kentaro Hayashi <kenhys@xdump.org>
 Build-Depends:
  debhelper-compat (= 13),
- dkms
-Standards-Version: 4.5.1
+ dh-sequence-dkms,
+Standards-Version: 4.6.1
 Homepage: https://github.com/DIGImend/digimend-kernel-drivers
 Vcs-Git: https://salsa.debian.org/debian/digimend-dkms.git
 Vcs-Browser: https://salsa.debian.org/debian/digimend-dkms
 Rules-Requires-Root: no
+Testsuite: autopkgtest-pkg-dkms
 
+# xserver-xorg-input-wacom [!s390x]
+# See https://buildd.debian.org/quinn-diff/Packages-arch-specific
 Package: digimend-dkms
-Architecture: all
+Architecture: amd64 arm64 armel armhf i386 mips64el mipsel ppc64el alpha hppa ia64 m68k powerpc ppc64 riscv64 sh4 sparc64 x32
 Depends:
  ${misc:Depends},
  xserver-xorg-input-wacom
