=== debian/rules ===
--- 
+++ 
@@ -20,7 +20,7 @@
 
 # main packaging script based on dh7 syntax
 %:
-	dh $@ --with dkms
+	dh $@
 
 build:
