=== debian/changelog ===
digimend-dkms (12-1ubuntu0.1) noble; urgency=medium

  * Support linux 6.14 (LP: #2110931)
    - debian/patches/support-linux-6.12.patch

 -- John Cabaj <john.cabaj@canonical.com>  Thu, 15 May 2025 15:03:03 -0500

digimend-dkms (12-1) unstable; urgency=medium

  * New upstream version 12
  * debian/salsa-ci.yml
    - Add default CI pipeline
  * debian/patches/support-kernel-6.3.patch
    * Drop needless patch which is fixed in upstream.

 -- Kentaro Hayashi <kenhys@xdump.org>  Sun, 25 Feb 2024 20:15:18 +0900

digimend-dkms (11-7) unstable; urgency=medium

  * debian/control
    - Add build support for loongarch64 (Closes: #1059079)
    - Drop mipsel port from Architecture:
  * debian/rules
    - Use DEB_VERSION_EPOCH_UPSTREAM variable.

 -- Kentaro Hayashi <kenhys@xdump.org>  Sat, 23 Dec 2023 15:48:04 +0900

digimend-dkms (11-6) unstable; urgency=medium

  [ Chris Hofstaedtler ]
  * debian/control
   debian/patches/udev-udevdir.patch
   - Delegate placement of udev files to pkg-config data (Closes: #1057748)

 -- Kentaro Hayashi <kenhys@xdump.org>  Thu, 14 Dec 2023 14:09:41 +0900

digimend-dkms (11-5) experimental; urgency=medium

  [ Chris Hofstaedtler ]
  * debian/control
   debian/patches/udev-udevdir.patch
   - Delegate placement of udev files to pkg-config data

 -- Kentaro Hayashi <kenhys@xdump.org>  Thu, 14 Dec 2023 13:26:54 +0900

digimend-dkms (11-4) experimental; urgency=medium

  [ Chris Hofstaedtler ]
  * debian/control
   debian/patches/udev-udevdir.patch
   - Delegate placement of udev files to pkg-config data

 -- Kentaro Hayashi <kenhys@xdump.org>  Sat, 09 Dec 2023 18:01:30 +0900

digimend-dkms (11-3) unstable; urgency=medium

  * debian/control
    - Bump standards-version to 4.6.2. No changes are required.
  * debian/patches/support-kernel-6.3.patch
    * Fix FTBFS error with kernel 6.3 or later. (Closes: #1037995)

 -- Kentaro Hayashi <kenhys@xdump.org>  Fri, 16 Jun 2023 12:52:28 +0900
