=== debian/control ===
--- 
+++ 
@@ -1,11 +1,14 @@
 Source: digimend-dkms
 Section: kernel
 Priority: optional
-Maintainer: Kentaro Hayashi <kenhys@xdump.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Kentaro Hayashi <kenhys@xdump.org>
 Build-Depends:
  debhelper-compat (= 13),
  dh-sequence-dkms,
-Standards-Version: 4.6.1
+ pkgconf,
+ systemd-dev
+Standards-Version: 4.6.2
 Homepage: https://github.com/DIGImend/digimend-kernel-drivers
 Vcs-Git: https://salsa.debian.org/debian/digimend-dkms.git
 Vcs-Browser: https://salsa.debian.org/debian/digimend-dkms
@@ -15,7 +18,8 @@
 # xserver-xorg-input-wacom [!s390x]
 # See https://buildd.debian.org/quinn-diff/Packages-arch-specific
 Package: digimend-dkms
-Architecture: amd64 arm64 armel armhf i386 mips64el mipsel ppc64el alpha hppa ia64 m68k powerpc ppc64 riscv64 sh4 sparc64 x32
+# See https://buildd.debian.org/status/package.php?p=digimend-dkms
+Architecture: amd64 arm64 armel armhf i386 mips64el ppc64el riscv64 alpha hppa ia64 loong64 m68k powerpc ppc64 sh4 sparc64 x32
 Depends:
  ${misc:Depends},
  xserver-xorg-input-wacom
