=== debian/rules ===
--- 
+++ 
@@ -16,7 +16,9 @@
 # package maintainers to append LDFLAGS
 #export DEB_LDFLAGS_MAINT_APPEND = -Wl,--as-needed
 
-version := $(shell dpkg-parsechangelog --show-field Version | cut -d'-' -f1)
+# Use dpkg 1.16.1 or later.
+include /usr/share/dpkg/pkg-info.mk
+version := $(DEB_VERSION_EPOCH_UPSTREAM)
 
 # main packaging script based on dh7 syntax
 %:
