=== debian/watch ===
version=4
opts=\
  filenamemangle=s/.*\/v(\d\S+)\.tar\.gz/digimend-kernel-drivers-$1\.tar\.gz/ \
  https://github.com/DIGImend/digimend-kernel-drivers/tags .*\/v(\d+)\.tar\.gz
