=== debian/changelog ===
digimend-dkms (13-5) unstable; urgency=medium

  [ Kentaro Hayashi ]
  * debian/salsa-ci.yml
    - Disable crossbuild CI
  * debian/patches/support-linux-6.15.patch
    - Add patch to support linux 6.15 (Closes: #1106548)
  * debian/control
    - Bump Standards-Version to 4.7.2. no changes required.
  * debian/watch
    - Use d/watch v5

  [ Andreas Beckmann ]
  * dkms.conf: Switch to BUILD_EXCLUSIVE_CONFIG="CONFIG_USB_HID"
  * dkms.conf: Declare BUILD_EXCLUSIVE_KERNEL_MIN="4.3"

 -- Kentaro Hayashi <kenhys@xdump.org>  Wed, 20 Aug 2025 18:31:56 +0900

digimend-dkms (13-4) unstable; urgency=medium

  * debian/rules
    - Install xorg.conf by default. Keep /usr/share/X11/xorg.conf.d/50-digimend.conf
      untouched.
  * debian/preinst
    - Revert deprecated symlink in /etc/X11/xorg.conf.d/50-digimend.conf during upgrading.

 -- Kentaro Hayashi <kenhys@xdump.org>  Sun, 22 Dec 2024 15:08:40 +0900

digimend-dkms (13-3) unstable; urgency=medium

  * debian/patches/avoid-module-name-conflict.patch
    - Add patch to rename modules. Now
      kernel modules were shipped with hid-digimend prefix.
  * debian/install
    - Install modprobe configuration (digimend-dkms.conf)
  * debian/links
    - Enable xorg configuration by default.
  * debian/patches/support-huion-h641p.patch
    debian/patches/support-xppen-artist-10s.patch
    debian/patches/support-xppen-deco-m.patch
    - Apply HUION H641P, XP-Pen Deco M/Artist 10s patch

 -- Kentaro Hayashi <kenhys@xdump.org>  Sun, 15 Dec 2024 14:19:32 +0900

digimend-dkms (13-2) unstable; urgency=medium

  * d/control
    - Bump Standards-Version to 4.7.0. no changes are required.
  * debian/patches/support-linux-6.12.patch
    - Add patch to support 6.12 (Closes: #1089494)
  * debian/patches/skip-without-CONFIG_USB_HID.patch
    debian/patches/udev-udevdir.patch
    - Update patchset comment

 -- Kentaro Hayashi <kenhys@xdump.org>  Sun, 08 Dec 2024 16:47:09 +0900

digimend-dkms (13-1) unstable; urgency=medium

  * New upstream version 13
  * debian/patches/skip-without-CONFIG_USB_HID.patch
    debian/patches/udev-udevdir.patch
    - Refresh patch files

 -- Kentaro Hayashi <kenhys@xdump.org>  Sat, 04 May 2024 10:20:10 +0900
