=== debian/control ===
--- 
+++ 
@@ -1,14 +1,13 @@
 Source: digimend-dkms
 Section: kernel
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Kentaro Hayashi <kenhys@xdump.org>
+Maintainer: Kentaro Hayashi <kenhys@xdump.org>
 Build-Depends:
  debhelper-compat (= 13),
  dh-sequence-dkms,
  pkgconf,
  systemd-dev
-Standards-Version: 4.6.2
+Standards-Version: 4.7.2
 Homepage: https://github.com/DIGImend/digimend-kernel-drivers
 Vcs-Git: https://salsa.debian.org/debian/digimend-dkms.git
 Vcs-Browser: https://salsa.debian.org/debian/digimend-dkms
