=== debian/rules ===
--- 
+++ 
@@ -33,7 +33,8 @@
 override_dh_auto_test:
 
 override_dh_auto_install:
-	$(MAKE) DESTDIR=$(CURDIR)/debian/digimend-dkms dkms_source_install udev_rules_install_files xorg_conf_install tools_install
+	$(MAKE) DESTDIR=$(CURDIR)/debian/digimend-dkms dkms_source_install xorg_conf_install tools_install
+	install -D -m 0644 xorg.conf $(CURDIR)/debian/digimend-dkms/etc/X11/xorg.conf.d/50-digimend.conf
 
 override_dh_dkms:
 	dh_dkms -p digimend-dkms -V -- dkms.conf
