=== debian/watch ===
Version: 5

Template: Github
Owner: DIGImend
Project: digimend-kernel-drivers
